# Uses of Interface
org.eclipse.debug.core.model.IBinaryStreamMonitor

Packages that use IBinaryStreamMonitor
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.

## Uses of IBinaryStreamMonitor in org.eclipse.debug.core

Methods in org.eclipse.debug.core with parameters of type IBinaryStreamMonitor
Modifier and Type
Method
Description
`void`
IBinaryStreamListener.`streamAppended(byte[] data, IBinaryStreamMonitor monitor)`
Notifies this listener that data has been appended to the given stream monitor.

## Uses of IBinaryStreamMonitor in org.eclipse.debug.core.model

Methods in org.eclipse.debug.core.model that return IBinaryStreamMonitor
Modifier and Type
Method
Description
`IBinaryStreamMonitor`
IBinaryStreamsProxy.`getBinaryErrorStreamMonitor()`
Returns a monitor for the error stream of this proxy's process, or `null` if not supported.
`IBinaryStreamMonitor`
IBinaryStreamsProxy.`getBinaryOutputStreamMonitor()`
Returns a monitor for the output stream of this proxy's process, or `null` if not supported.